import * as React from 'react';
export interface EllipsisProps {
    enabledMeasure?: boolean;
    text?: React.ReactNode;
    width: number;
    rows: number;
    children: (cutChildren: React.ReactNode[], 
    /** Tell current `cutChildren` is in ellipsis */
    inEllipsis: boolean, 
    /** Tell current `text` is exceed the `rows` which can be ellipsis */
    canEllipsis: boolean) => React.ReactNode;
    onEllipsis: (isEllipsis: boolean) => void;
    /**
     * Mark for misc update. Which will not affect ellipsis content length.
     * e.g. tooltip content update.
     */
    miscDeps: any[];
}
export default function EllipsisMeasure(props: EllipsisProps): React.JSX.Element;
